
From: <Valdis.Kletnieks@vt.edu>

Another few #if/#ifdef cleanups, this time for the PPC architecture.

Signed-off-by: <valdis.kletnieks@vt.edu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/process.c                    |    2 +-
 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.c |    2 +-
 25-akpm/arch/ppc/syslib/ppc85xx_setup.c              |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/ppc/kernel/process.c~269-rc1-ifdef-cleanup-for-ppc arch/ppc/kernel/process.c
--- 25/arch/ppc/kernel/process.c~269-rc1-ifdef-cleanup-for-ppc	Tue Aug 24 15:21:16 2004
+++ 25-akpm/arch/ppc/kernel/process.c	Tue Aug 24 15:21:16 2004
@@ -667,7 +667,7 @@ void show_stack(struct task_struct *tsk,
 		++count;
 		sp = *(unsigned long *)sp;
 	}
-#if !CONFIG_KALLSYMS
+#ifndef CONFIG_KALLSYMS
 	if (count > 0)
 		printk("\n");
 #endif
diff -puN arch/ppc/platforms/85xx/mpc85xx_cds_common.c~269-rc1-ifdef-cleanup-for-ppc arch/ppc/platforms/85xx/mpc85xx_cds_common.c
--- 25/arch/ppc/platforms/85xx/mpc85xx_cds_common.c~269-rc1-ifdef-cleanup-for-ppc	Tue Aug 24 15:21:16 2004
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.c	Tue Aug 24 15:21:16 2004
@@ -307,7 +307,7 @@ mpc85xx_exclude_device(u_char bus, u_cha
 {
 	if (bus == 0 && PCI_SLOT(devfn) == 0)
 		return PCIBIOS_DEVICE_NOT_FOUND;
-#if CONFIG_85xx_PCI2
+#ifdef CONFIG_85xx_PCI2
 	/* With the current code we know PCI2 will be bus 2, however this may
 	 * not be guarnteed */
 	if (bus == 2 && PCI_SLOT(devfn) == 0)
diff -puN arch/ppc/syslib/ppc85xx_setup.c~269-rc1-ifdef-cleanup-for-ppc arch/ppc/syslib/ppc85xx_setup.c
--- 25/arch/ppc/syslib/ppc85xx_setup.c~269-rc1-ifdef-cleanup-for-ppc	Tue Aug 24 15:21:16 2004
+++ 25-akpm/arch/ppc/syslib/ppc85xx_setup.c	Tue Aug 24 15:21:16 2004
@@ -277,7 +277,7 @@ mpc85xx_setup_hose(void)
 	hose_a->io_space.start = MPC85XX_PCI1_LOWER_IO;
 	hose_a->io_space.end = MPC85XX_PCI1_UPPER_IO;
 	hose_a->io_base_phys = MPC85XX_PCI1_IO_BASE;
-#if CONFIG_85xx_PCI2
+#ifdef CONFIG_85xx_PCI2
 	isa_io_base =
 		(unsigned long) ioremap(MPC85XX_PCI1_IO_BASE,
 					MPC85XX_PCI1_IO_SIZE +
@@ -304,7 +304,7 @@ mpc85xx_setup_hose(void)
 
 	hose_a->last_busno = pciauto_bus_scan(hose_a, hose_a->first_busno);
 
-#if CONFIG_85xx_PCI2
+#ifdef CONFIG_85xx_PCI2
 	hose_b = pcibios_alloc_controller();
 
 	if (!hose_b)
_
